Subject: bug#391 closed by Mark Hindley <[email-masked]> (Re: bug#391: keyring is not not unlocked)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Thu, 13 Feb 2020 17:33:04 +0000

This is an automatic notification regarding your bug report
which was filed against the slim package:

#391: keyring is not not unlocked

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
391: https://bugs.devuan.org/cgi/bugreport.cgi?bug=391
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#391: keyring is not not unlocked
From: Mark Hindley <[email-masked]>
To: Saša Janiška <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Feb 2020 17:23:06 +0000

Control: notfound -1 1.3.6-5.1+devuan6

On Thu, Feb 13, 2020 at 05:23:59PM +0100, Saša Janiška wrote:
> Mark Hindley <[email-masked]> writes:
> 
> > Does that mean that the keyring unlocking worked for slim+elogind?
> 
> Now I tried again and it seems that it does work. :-)
> 
> >
> >> Forgot to say, that when I tried slim+elogind, then Thunar was unable to
> >> mount external USB HDD.
> >
> > That is a different issue. Please open a separate report about it and include
> > details of all the policykit packages you have installed.
> 
> Don't know how/why, but Thunar now auto-mounted my external HDD, so now
> reverting to slim+elogind and can uninstall lightdm. :-D

Thanks. So that is all resolved then.

Closing.

Mark

Subject: keyring is not not unlocked
From: Saša Janiška <[email-masked]>
To: [email-masked]
Date: Fri, 7 Feb 2020 13:48:46 +0100

Package: slim
Version: 1.3.6-5.1

Hello, I do not have auto-login enabled and created default keyring with the
same passwd as for my login, but the keyring is not unlocked automatically
after login although I've enabled launching of 'GNOME services'

According to e.g. Arch's wiki
(https://wiki.archlinux.org/index.php/SLiM#Gnome_Keyring): "Note: slim 1.3.5-1
ships with /etc/pam.d/slim preconfigured to unlock keyring upon login. Users no
longer need to modify the file."

Any hint?

I'm on Ceres.

$ uname -a
Linux atmarama 5.4.0-3-amd64 #1 SMP Debian 5.4.13-1 (2020-01-19) x86_64 GNU/Linux
Sincerely,
Gour

-- 
Bewildered by the modes of material nature, the ignorant fully
engage themselves in material activities and become attached. But
the wise should not unsettle them, although these duties are inferior
due to the performers' lack of knowledge.